protolude-0.3.4: A small prelude.

Safe Haskell | Safe
Language | Haskell2010

Protolude.Semiring

Synopsis

- class Monoid m => Semiring m
- one :: Semiring m => m
- (<.>) :: Semiring m => m -> m -> m
- zero :: Monoid m => m

# Documentation

class Monoid m => Semiring m #

Minimal complete definition

one, (<.>)

one :: Semiring m => m #

(<.>) :: Semiring m => m -> m -> m #

zero :: Monoid m => m #

Alias for `mempty`